Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::node_interface_matches_exposedfield Struct Reference

Determine if a `node_interface` matches an `exposedField` identifier. More...

`#include <openvrml/node.h>`

List of all members.

## Public Member Functions

result_type | operator() (const first_argument_type &interface_, const second_argument_type &exposedfield_id) const
| Determine if a `node_interface` matches an `exposedField` identifier.

## Detailed Description

Determine if a `node_interface` matches an `exposedField` identifier.

Model of
  Adaptable Binary Predicate, Default Constructible

## Member Function Documentation

openvrml::node_interface_matches_exposedfield::result_type openvrml::node_interface_matches_exposedfield::operator() | ( | const first_argument_type & | interface_,
|  | const second_argument_type & | exposedfield_id |
| ) |  |  | const`[inline]`

Determine if a `node_interface` matches an `exposedField` identifier.

A `node_interface` matches an `exposedField` identifier if the `node_interface`'s type is `node_interface::exposedfield_id` and the `node_interface`'s id is lexicographically equal to the `exposedField` identifier.

Parameters:

  `[in]` | interface_ | `node_interface`.
  `[in]` | exposedfield_id | `exposedField` identifier.

Returns:
  `true` if `interface_` matches `exposedfield_id`; `false` otherwise.